﻿using System;
using System.Threading;
using System.Windows;
using SampleApp.Samples;
using WpfTesting;

namespace SampleAppStarter
{
    internal class Program
    {
        static void Main(string[] args)
        {
            ApplicationTesting test = new ApplicationTesting(typeof(SampleApp.App), typeof(Test01));
            test.StartApp();

            var btn = test.GetElementByName("ClickMe");
            test.Click(btn);

            Thread.Sleep(500);
            if (!test.IsWindowExists("Well done!"))
                throw new Exception("Test failed! There was no message");

            test.ShutDown();
        }
    }
}
